ru.bitel.bgbilling.plugins.documents.server.bean.event

## Class DocumentJournalModifiedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<DocumentJournal>
    - - ru.bitel.bgbilling.plugins.documents.server.bean.event.DocumentJournalModifiedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class DocumentJournalModifiedEvent
      extends ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<DocumentJournal>

  Класс-событие изменения справочника журнал документа
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

      `newItem, oldItem`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentJournalModifiedEvent()`
    `DocumentJournalModifiedEvent(int moduleId, int userId, DocumentJournal oldItem, DocumentJournal newItem)`

  - ### Method Summary

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

      `getNewItem, getOldItem`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentJournalModifiedEvent

          public DocumentJournalModifiedEvent()

    - #### DocumentJournalModifiedEvent

          public DocumentJournalModifiedEvent(int moduleId,
                                              int userId,
                                              DocumentJournal oldItem,
                                              DocumentJournal newItem)